Cancels a scheduled event. Notifications are sent to the invitees.
curl --request POST \
--url https://api.calendly.com/scheduled_events/{uuid}/cancellation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'{
"resource": {
"uri": "<string>",
"name": "<string>",
"meeting_notes_plain": "<string>",
"meeting_notes_html": "<string>",
"status": "active",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"location": {
"type": "<string>",
"location": "<string>",
"join_url": "<string>",
"status": "<string>"
},
"invitees_counter": {
"total": 123,
"active": 123,
"limit": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_memberships": [
{
"user": "<string>",
"user_email": "jsmith@example.com",
"user_name": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Unique identifier for the resource.
OK
Show child attributes
curl --request POST \
--url https://api.calendly.com/scheduled_events/{uuid}/cancellation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'{
"resource": {
"uri": "<string>",
"name": "<string>",
"meeting_notes_plain": "<string>",
"meeting_notes_html": "<string>",
"status": "active",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"location": {
"type": "<string>",
"location": "<string>",
"join_url": "<string>",
"status": "<string>"
},
"invitees_counter": {
"total": 123,
"active": 123,
"limit": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_memberships": [
{
"user": "<string>",
"user_email": "jsmith@example.com",
"user_name": "<string>"
}
]
}
}